Get a signed report PDF URL
curl --request GET \
--url https://api.alpha-1edtech.ai/edubridge/reports/get-report/eow/{year}/{period}/{studentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/edubridge/reports/get-report/eow/{year}/{period}/{studentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/edubridge/reports/get-report/eow/{year}/{period}/{studentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"title": "EOW Report - 2026 Week 23",
"pdfUrl": "<string>",
"expiresAt": "<string>",
"studentId": "<string>",
"reportType": "eow",
"year": "<string>",
"period": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"error": "<string>",
"message": "<string>"
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}{
"error": "<string>",
"message": "<string>"
}Reports
Get a signed report PDF URL
Returns a fresh short-lived signed S3 URL for viewing an end-of-week report PDF. The response uses pdfUrl so clients can reuse the MAP report PDF viewer pattern.
GET
/
edubridge
/
reports
/
get-report
/
eow
/
{year}
/
{period}
/
{studentId}
Get a signed report PDF URL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Report year, e.g. 2026
End-of-week report week number, 1-53
OneRoster student sourcedId
Response
Signed report URL
Show child attributes
Show child attributes
⌘I